package com.steering.model.lims;

/**
 * 数据库表Q_STEELS_T所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-11
 */
@SuppressWarnings("serial")
public class QSteelsTEntity implements java.io.Serializable {
    /**
     * 无注释
     */
    private String id = "";
    /**
     * 验配ID
     */
    private String matchid = "";
    /**
     * 规格
     */
    private String materielRule = "";
    /**
     * 扣杂质
     */
    private String deduction1 = "";
    /**
     * 扣机铁
     */
    private String deduction2 = "";
    /**
     * 扣超长
     */
    private String deduction3 = "";
    /**
     * 扣轻薄
     */
    private String deduction4 = "";
    /**
     * 质检人员1
     */
    private String checkOperator1 = "";
    /**
     * 质检人员2
     */
    private String checkOperator2 = "";
    /**
     * 质检人员3
     */
    private String checkOperator3 = "";
    /**
     * 技术条件
     */
    private String checkJstj = "";
    /**
     * 卸料场地
     */
    private String spaces = "";
    /**
     * 入场方式
     */
    private String spacetype = "";
    /**
     * 是否加工0=不加工 1=是加工
     */
    private String big = "";
    /**
     * 质检备注
     */
    private String checkMemo = "";
    /**
     * 添加时间
     */
    private String addtime = "";
    /**
     * 添加人编码
     */
    private String addoperatorid = "";
    /**
     * 添加人
     */
    private String addoperator = "";
    /**
     * 使否作废(0作废，1有效)
     */
    private String canceled = "";
    /**
     * 作废时间
     */
    private String canceledTime = "";
    /**
     * 作废人编码
     */
    private String canceledOperatorid = "";
    /**
     * 作废人
     */
    private String canceledOperator = "";
    /**
     * 卸料单位
     */
    private String downunit = "";
    /**
     * 归属部门
     */
    private String belongdept = "";
    /**
     * 物料名称
     */
    private String materiel = "";

    private String sysFlag = "";

    /**
     * 无注释
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * 无注释
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 验配ID
     * @return value
     */
    public String getMatchid() {
        return matchid;
    }

    /**
     * 验配ID
     * @param matchid value
     */
    public void setMatchid(String matchid) {
        this.matchid = matchid;
    }

    /**
     * 规格
     * @return value
     */
    public String getMaterielRule() {
        return materielRule;
    }

    /**
     * 规格
     * @param materielRule value
     */
    public void setMaterielRule(String materielRule) {
        this.materielRule = materielRule;
    }

    /**
     * 扣杂质
     * @return value
     */
    public String getDeduction1() {
        return deduction1;
    }

    /**
     * 扣杂质
     * @param deduction1 value
     */
    public void setDeduction1(String deduction1) {
        this.deduction1 = deduction1;
    }

    /**
     * 扣机铁
     * @return value
     */
    public String getDeduction2() {
        return deduction2;
    }

    /**
     * 扣机铁
     * @param deduction2 value
     */
    public void setDeduction2(String deduction2) {
        this.deduction2 = deduction2;
    }

    /**
     * 扣超长
     * @return value
     */
    public String getDeduction3() {
        return deduction3;
    }

    /**
     * 扣超长
     * @param deduction3 value
     */
    public void setDeduction3(String deduction3) {
        this.deduction3 = deduction3;
    }

    /**
     * 扣轻薄
     * @return value
     */
    public String getDeduction4() {
        return deduction4;
    }

    /**
     * 扣轻薄
     * @param deduction4 value
     */
    public void setDeduction4(String deduction4) {
        this.deduction4 = deduction4;
    }

    /**
     * 质检人员1
     * @return value
     */
    public String getCheckOperator1() {
        return checkOperator1;
    }

    /**
     * 质检人员1
     * @param checkOperator1 value
     */
    public void setCheckOperator1(String checkOperator1) {
        this.checkOperator1 = checkOperator1;
    }

    /**
     * 质检人员2
     * @return value
     */
    public String getCheckOperator2() {
        return checkOperator2;
    }

    /**
     * 质检人员2
     * @param checkOperator2 value
     */
    public void setCheckOperator2(String checkOperator2) {
        this.checkOperator2 = checkOperator2;
    }

    /**
     * 质检人员3
     * @return value
     */
    public String getCheckOperator3() {
        return checkOperator3;
    }

    /**
     * 质检人员3
     * @param checkOperator3 value
     */
    public void setCheckOperator3(String checkOperator3) {
        this.checkOperator3 = checkOperator3;
    }

    /**
     * 技术条件
     * @return value
     */
    public String getCheckJstj() {
        return checkJstj;
    }

    /**
     * 技术条件
     * @param checkJstj value
     */
    public void setCheckJstj(String checkJstj) {
        this.checkJstj = checkJstj;
    }

    /**
     * 卸料场地
     * @return value
     */
    public String getSpaces() {
        return spaces;
    }

    /**
     * 卸料场地
     * @param spaces value
     */
    public void setSpaces(String spaces) {
        this.spaces = spaces;
    }

    /**
     * 入场方式
     * @return value
     */
    public String getSpacetype() {
        return spacetype;
    }

    /**
     * 入场方式
     * @param spacetype value
     */
    public void setSpacetype(String spacetype) {
        this.spacetype = spacetype;
    }

    /**
     * 是否加工0=不加工 1=是加工
     * @return value
     */
    public String getBig() {
        return big;
    }

    /**
     * 是否加工0=不加工 1=是加工
     * @param big value
     */
    public void setBig(String big) {
        this.big = big;
    }

    /**
     * 质检备注
     * @return value
     */
    public String getCheckMemo() {
        return checkMemo;
    }

    /**
     * 质检备注
     * @param checkMemo value
     */
    public void setCheckMemo(String checkMemo) {
        this.checkMemo = checkMemo;
    }

    /**
     * 添加时间
     * @return value
     */
    public String getAddtime() {
        return addtime;
    }

    /**
     * 添加时间
     * @param addtime value
     */
    public void setAddtime(String addtime) {
        this.addtime = addtime;
    }

    /**
     * 添加人编码
     * @return value
     */
    public String getAddoperatorid() {
        return addoperatorid;
    }

    /**
     * 添加人编码
     * @param addoperatorid value
     */
    public void setAddoperatorid(String addoperatorid) {
        this.addoperatorid = addoperatorid;
    }

    /**
     * 添加人
     * @return value
     */
    public String getAddoperator() {
        return addoperator;
    }

    /**
     * 添加人
     * @param addoperator value
     */
    public void setAddoperator(String addoperator) {
        this.addoperator = addoperator;
    }

    /**
     * 使否作废(0作废，1有效)
     * @return value
     */
    public String getCanceled() {
        return canceled;
    }

    /**
     * 使否作废(0作废，1有效)
     * @param canceled value
     */
    public void setCanceled(String canceled) {
        this.canceled = canceled;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getCanceledTime() {
        return canceledTime;
    }

    /**
     * 作废时间
     * @param canceledTime value
     */
    public void setCanceledTime(String canceledTime) {
        this.canceledTime = canceledTime;
    }

    /**
     * 作废人编码
     * @return value
     */
    public String getCanceledOperatorid() {
        return canceledOperatorid;
    }

    /**
     * 作废人编码
     * @param canceledOperatorid value
     */
    public void setCanceledOperatorid(String canceledOperatorid) {
        this.canceledOperatorid = canceledOperatorid;
    }

    /**
     * 作废人
     * @return value
     */
    public String getCanceledOperator() {
        return canceledOperator;
    }

    /**
     * 作废人
     * @param canceledOperator value
     */
    public void setCanceledOperator(String canceledOperator) {
        this.canceledOperator = canceledOperator;
    }

    /**
     * 卸料单位
     * @return value
     */
    public String getDownunit() {
        return downunit;
    }

    /**
     * 卸料单位
     * @param downunit value
     */
    public void setDownunit(String downunit) {
        this.downunit = downunit;
    }

    /**
     * 归属部门
     * @return value
     */
    public String getBelongdept() {
        return belongdept;
    }

    /**
     * 归属部门
     * @param belongdept value
     */
    public void setBelongdept(String belongdept) {
        this.belongdept = belongdept;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getMateriel() {
        return materiel;
    }

    /**
     * 物料名称
     * @param materiel value
     */
    public void setMateriel(String materiel) {
        this.materiel = materiel;
    }

    public String getSysFlag() {
        return sysFlag;
    }

    public void setSysFlag(String sysFlag) {
        this.sysFlag = sysFlag;
    }
}
